<bugID>420481<Summary>Right Click &gt; Save Link As sometimes (always?) fails / does not work</Summary><Description>Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9b4pre) Gecko/2008022923 Minefield/3.0b4pre ID:2008022923

1. New profile, start firefox
2. Visit http://hourly-archive.localgho.st/
3. Right click on a .zip file and choose Save Link As

Expected:
- A file-picker where I can select my download dir, and then the file visible in the download manager window.

Actual:
- No file-picker. Download does not start, and no feedback is given. Nothing appears in the download manager and nothing is thrown in the error console.

Works: 20080229_1506_firefox-3.0b4pre.en-US.win32
Fails: 20080229_1637_firefox-3.0b4pre.en-US.win32

Checkins to module PhoenixTinderbox between 2008-02-29 15:06 and 2008-02-29 16:37 : 
http://bonsai.mozilla.org/cvsquery.cgi?treeid=default&amp;module=PhoenixTinderbox&amp;branch=HEAD&amp;branchtype=match&amp;dir=&amp;file=&amp;filetype=match&amp;who=&amp;whotype=match&amp;sortby=Date&amp;hours=2&amp;date=explicit&amp;mindate=2008-02-29+15%3A06&amp;maxdate=2008-02-29+16%3A37&amp;cvsroot=%2Fcvsroot

I suspect bug 299372, so CC'ng dmose.</Description></bugID>